curl --request GET \
--url https://api.arize.com/v2/webhook-subscriptions/{subscription_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arize.com/v2/webhook-subscriptions/{subscription_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arize.com/v2/webhook-subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "V2ViaG9va1N1YnNjcmlwdGlvbjoxMjM0NQ==",
"webhook_id": "V2ViaG9vazoxMjM0NQ==",
"source_type": "PROMPT",
"source_id": "UHJvbXB0OjEyMzQ1",
"event": "PROMPT_VERSION_LABELED",
"created_at": "2026-08-01T12:00:00Z"
}{
"status": 400,
"title": "Invalid request parameters",
"detail": "The 'name' field is required and must be a non-empty string.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#invalid-request"
}{
"status": 401,
"title": "Authentication required",
"detail": "You must be authenticated to access this resource.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#authentication-required"
}{
"status": 404,
"title": "Resource not found",
"detail": "The requested resource with ID '12345' was not found.",
"instance": "/resource/12345",
"type": "https://arize.com/docs/ax/rest-reference/errors#resource-not-found"
}{
"status": 429,
"title": "Rate limit exceeded",
"detail": "You have exceeded the allowed number of requests. Please try again later.",
"instance": "/resource",
"type": "https://arize.com/docs/ax/rest-reference/errors#rate-limit-exceeded"
}Get a webhook subscription
Get a specific webhook subscription by its ID. A 404 is returned when the subscription does not exist, its source is not readable, or its webhook has since been deleted.
Authorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Path Parameters
The unique webhook subscription identifier (base64) A universally unique identifier (base64-encoded opaque string).
"RW50aXR5OjEyMzQ1"
Response
A webhook subscription object
A subscription delivers one event from one prompt or evaluator to one webhook. A webhook that should receive several events from the same resource has one subscription per event.
Unique identifier for the subscription
"RW50aXR5OjEyMzQ1"
The unique identifier of the webhook that receives the event
"RW50aXR5OjEyMzQ1"
The kind of resource the subscription is attached to
PROMPT, EVALUATOR The unique identifier of the prompt or evaluator the subscription is attached to
"RW50aXR5OjEyMzQ1"
The event delivered to the webhook
PROMPT_VERSION_CREATED, PROMPT_VERSION_LABELED, PROMPT_VERSION_UNLABELED, EVALUATOR_VERSION_CREATED Timestamp for when the subscription was created
Was this page helpful?